classdef Configurations
    % Configurations contains information for the model files, 
    %   the corresponding directory they are stored at
    
    properties

        %% EColi
        ECOLI_DATA_FULL_PATH = 'Experimental Data\Ecoli\EcoliDataSet.xls';
        
        ECOLI_MODELS_PATH = 'EColi\models';
        
        BASIC_ECOLI_FB_FP_MONOD = 'basic_ecoli_model_monod';
        BASIC_ECOLI_FB_FP_CONTOA = 'basic_ecoli_model_contoa';
        BASIC_ECOLI_FB_FP_FUJIMOTO = 'basic_ecoli_model_fujimoto';
        
        EXTENDED_ECOLI_FB_FP_MONOD = 'ecoli_monod_o2';
        
        ECOLI_RESULTS_PATH = 'EColi\results';
        
        %% Gluconic acid
        GLUCONIC_ACID_DATA_FULL_PATH = 'Experimental Data\Gluconic acid production\GADataSet.xlsx';
        
        GAB_MODELS_PATH = 'Gluconic acid\models';
        
        BASIC_GAB_FP_MONOD = 'basic_ga_model_monod';
        GAB_RESULTS_PATH = 'Gluconic acid\results';
        
        %% Control
        GLUCONIC_ACID_CONTROL_MODEL = 'Control_GA_2017a.slx';
        GLUCOSE_CONTOL_MODEL = 'Control_G_2017a.slx';
    end
    
    methods
    end
    
end

