classdef GlucoseConcentationControl
    
     methods (Access = public, Static = true)
            function run()
                configuration = Configurations();
                sim(configuration.GLUCOSE_CONTOL_MODEL);
                
                load dataVigo_n.txt
                Texp  =   dataVigo_n(:,1); 
                Xexp =    dataVigo_n(:,2);                   
                Gexp =    dataVigo_n(:,3);                   
                GAexp =   dataVigo_n(:,4);

                t0 = clock;
                T = 0:1:80;
                
                fig1 = figure();
                fig1.Name = 'Glucose concentration control';
                
                subplot(221)
                    plot(time, Gm,'k');
                    hold on
                    plot(time, GAm,'k');
                    hold on
                    plot(Texp, GAexp,'k*');
                    hold on
                    plot(Texp, Gexp,'k*')
                    title('a) Glucose and Gluconic acid')
                    %xlabel('Reaction time [h]')
                    ylabel('[g/l]')
                    axis([0 80 0 150])

                subplot(222)
                    plot(time, Xm,'k')
                    hold on 
                    plot(Texp, Xexp,'k*')
                    title('b) Biomass')
                    %xlabel('Reaction time [h]')
                    ylabel('[g/l]')
                    %Plothandle2=plot(Tm,Gm,'k-','EraseMode','xor');
                    axis([0 80 0 4])

                subplot(223)
                    plot(time, O2m,'k-')
                    %title('c) Gluconic acid')
                    %ylabel('[g/l]')
                    %plot(t, DOe,'k--')
                    %hold on
                    %Plothandle5=plot(Tm,GAm,'k--','EraseMode','xor');
                    title('c) Dissolved oxygen')
                    xlabel('Reaction time [h]')
                    ylabel('[g/l]')
                    axis([0 80 0 0.008])

                subplot(224)
                    plot(time, D,'k-')
                    title('d) Control input D dilution rate')
                    xlabel('Time [h]') 
                    ylabel('[1/h]')
                    axis([0 80 0 0.07])

                fig2 = figure();
                fig2.Name = 'Glucose concentration control';
                
                subplot(311)
                    plot(time, Xm,'k-');
                    hold on
                    plot(time, Xe,'k--');
                    hold on
                    plot(Texp, Xexp,'k*');
                    hold on

                    hold on
                    title('a) Biomass ')
                    %xlabel('Reaction time [h]')
                    ylabel('[g/l]')
                    xlabel('time [h]')
                    axis([0 80 0 4])

                    subplot(312)
                    plot(time, GAm,'k-');
                    hold on
                    plot(time, GAe,'k--');
                    hold on
                    plot(Texp, GAexp,'k*');
                    hold on
                    title('b) Gluconic Acid ')
                    %xlabel('Reaction time [h]')
                    ylabel('[g/l]')
                    xlabel('time [h]')
                    axis([0 80 0 150])

                    subplot(313)
                    plot(time, Gm,'k-');
                    hold on
                    plot(time, Ge,'k--');
                    hold on
                    plot(Texp, Gexp,'k*');
                    hold on
                    title('c) Glucose ')
                    %xlabel('Reaction time [h]')
                    ylabel('[g/l]')
                    xlabel('time [h]')
                    axis([0 80 0 150])
            end
     end
    
end

