classdef EColiFBFPSaver
    % TODO: create a super class
    
    % EColiFBFPSaver
    %   static methods for saving the results of the simulation
    
    methods (Access = public, Static)
        function fileName = saveExtended(model, output)
            Xmod = output.Xout;
            Smod = output.Sout;
            Tmod = output.tout;
            
            DOmod = output.O2out;
            
            fileName = EColiFBFPSaver.save(model, Tmod, Xmod, Smod);
            xlswrite(fileName, DOmod, 'Sheet1', 'D7');
        end
        
        function fileName = save(model, Tmod, Xmod, Smod)
            
            persistent count
            if isempty(count)
                count = 0;
            end
            count = count + 1;
            
            configuration = Configurations();
            
            fileName = ['\Models\' configuration.ECOLI_RESULTS_PATH '\' model.modelName ...
                '_mod_' num2str(count) '.xlsx'];
                        
            xlswrite(fileName, cellstr(model.modelName), 'Sheet1', 'A1');
            xlswrite(fileName, cellstr(model.kinetics), 'Sheet1', 'A2');
            
            % Row 3 is for the information regarding the metaheuristic
            % algorithm (name of the algorithm, parameters)
            
            % Row 4 is for the best solution
            
            % Rows 6 Headers
            headers = ["Tmod" "Xmod" "Smod"];
            xlswrite(fileName, headers, 'Sheet1', 'A6');
            
            % the model data and the expremental data start here
            xlswrite(fileName, Tmod, 'Sheet1', 'A7');
            xlswrite(fileName, Xmod, 'Sheet1', 'B7');
            xlswrite(fileName, Smod, 'Sheet1', 'C7');
            
            % no need to store the experimental data
%             fileModelData = ['\Models\' configuration.ECOLI_RESULTS_PATH '\' model.modelName ...
%                 '_exp.xlsx'];
%             
%             xlswrite(fileModelData, Texp, 'Sheet1', 'A1');
%             xlswrite(fileModelData, Xexp, 'Sheet1', 'B1');
%             xlswrite(fileModelData, Sexp, 'Sheet1', 'C1');
                      
        end
    end
end