function ecoliFB = createEColiFermentationProcess()
% initializes the object that corresponds to the E. coli FP

    parametersRanges = [];
    ecoliFB = FermentationProcess("EcoliFB", "Ecoli", parametersRanges, "E. coli MC4110 Fed-batch");
    
    equationsList = EquationsList();
    
    dX = EquationDescription(1, "X", "", "dX/dt = mu*X - F/V*X", 1);
    equationsList = equationsList.addEquation(dX);
    
    dS = EquationDescription(2, "S", "", "dS/dt = -1/Yxs*mu*X + (So - S)*F/V", 1);
    equationsList = equationsList.addEquation(dS);
    
    dA = EquationDescription(3, "A", "", "dA/dt = 1/Yax*mu*A - F/V*A", 0);
    equationsList = equationsList.addEquation(dA);
    
    dO2 = EquationDescription(4, "O2", "", "dO2/dt = 1/Yox ....", 0);
    equationsList = equationsList.addEquation(dO2);
    
    dV = EquationDescription(5, "V", "", "dV/dt = F", 1);
    equationsList = equationsList.addEquation(dV);
    
    ecoliFB.generalModelDescription = equationsList;
    
    ecoliFB.listOfKinetics = ["Monod", "Contois", "Andrew"];
end

