classdef GluconicAcidBFPSaver
    % TODO: create a super class
    
    % EColiFBFPSaver
    %   static methods for saving the results of the simulation
    
    methods (Access = public, Static)
        function fileName = save(model, Tmod, Xmod, Smod, GAmod, O2mod)
            
            persistent count
            if isempty(count)
                count = 0;
            end
            count = count + 1;
            
            configuration = Configurations();
            % change the path in the configuration file...
            fileName = ['\Models\' configuration.GAB_RESULTS_PATH '\' model.modelName ...
                '_' num2str(count) '.xlsx'];
                        
            xlswrite(fileName, cellstr(model.modelName), 'Sheet1', 'A1');
            xlswrite(fileName, cellstr(model.kinetics), 'Sheet1', 'A2');
            
            % Row 3 is for the information regarding the metaheuristic
            % algorithm (name of the algorithm, parameters)
            
            % Row 4 is for the best solution
            
            % Rows 6 Headers
            headers = ["Tmod" "Xmod" "Smod" "GAmod" "O2mod"];
            xlswrite(fileName, headers, 'Sheet1', 'A6');
            
            % the model data start here
            xlswrite(fileName, Tmod,    'Sheet1', 'A7');
            xlswrite(fileName, Xmod,    'Sheet1', 'B7');
            xlswrite(fileName, Smod,    'Sheet1', 'C7');
            xlswrite(fileName, GAmod,   'Sheet1', 'D7');
            xlswrite(fileName, O2mod,   'Sheet1', 'E7');
            
        end
        
        % "Texp" "Xexp" "Sexp" "GAexp" "O2exp"
    end
end