function gab = createGAFermentationProcess()
% initializes the object that corresponds to the Gluconic acid FP

    parametersRanges = [];
    gab = FermentationProcess("GAFB", "GA", parametersRanges, "Gluconic acid batch fermentation");
    
    equationsList = EquationsList();
    
    dX = EquationDescription(1, "X", "", "dX/dt = Rx", 1);
    equationsList = equationsList.addEquation(dX);

    dGA = EquationDescription(2, "GA", "", "dGA/dt = Rga", 0);
    equationsList = equationsList.addEquation(dA);
        
    dS = EquationDescription(3, "S", "", "dS/dt = -1/Yxs*Rx -1/Ysga*Rga", 1);
    equationsList = equationsList.addEquation(dS);
        
    dO2 = EquationDescription(4, "O2", "", "dO2/dt = -1/Yox*Rga+Kla*(O2*-O2)", 0);
    equationsList = equationsList.addEquation(dO2);
    
    gab.generalModelDescription = equationsList;
    
    gab.listOfKinetics = ["Monod", "Contoa", "Andrew"];
end

