function yeastFP = createYeastFermentationProcess()
% initializes the object that corresponds to the E. coli FP

    parametersRanges = [];
    yeastFP = FermentationProcess("Yeast", "Yeast", parametersRanges, "Yeast");
    
    equationsList = EquationsList();
    
    dX = EquationDescription(1, "X", "", "dX/dt = mu*X - F/V*X", 1);
    equationsList = equationsList.addEquation(dX);
    
    dS = EquationDescription(2, "S", "", "dS/dt = -1/Yxs*mu*X + (So - S)*F/V", 1);
    equationsList = equationsList.addEquation(dS);
    
    yeastFP.generalModelDescription = equationsList;
end

