classdef ModelParameter 
    % ModelParameter class describes a variable in a cultivation process
    % model
    %   Characteristics:
    %       name (string)  
    %       value (characters)
    %
    %       the value of the parameter might be a number or a matrix
    %       if the value is a nummber, upper and lower bounds of the
    %       parameter (doubles) might be specified
    
    properties 
        name        char { mustBeNonempty } = 'Undefined'
        blockPath   char                    = 'Undefined'
        
        value
    end
    
    methods
         %% constructor of the class
         function this = ModelParameter(name, blockPath)
            % if there are any arguments
            if nargin ~= 2
                 exception = MException('InputParameters:WrongNumber', 'Wrong number of input parameters!');
                 throw(exception);
            end
             
            this.name = name; 
            this.blockPath = blockPath;
            this.value = '';
         end
         
         function isBlockParameter = isBlockParameter(this)
             isBlockParameter = ~isempty(this.blockPath);
         end
    end
    
end

