classdef ModelParameterValue
    % ModelParameterValue abstract class for holding the values of the
    % block parameters in the models
    %   
    %   The values of the parameters might be of different type
    %   number, vector which need to be converted to string
    %
    %   parameter (ModelParameter)
    %   value (characters)
    
    properties
        parameter ModelParameter
        value 
    end
    
    % Constructor
    methods
        function this = ModelParameterValue(parameter, value)
            this.parameter = parameter;
            this.value = value;
        end
    end
    
end

