classdef EquationDescription
    % Description of the model equations for desplaying in the
    % main panel
    %   Characteristics:
    %       ID (positive number, in general ids should be unique for a certain model)
    %       Label (string)
    %       Description (string)
    %       Equation text (string)
    %       isCompulsory (logical)
    
    properties 
        id uint8 = 1
        label string = ""
        equationText string = ""
        description string = ""
        isCompulsory logical = 0
    end
    
    methods
        % there is no check 
        function this = EquationDescription(id, label, description, equationText, isCompulsory)
            this.id = id;
            this.label = label;
            this.equationText = equationText;
            this.description = description;
            this.isCompulsory = isCompulsory;
        end
    end
    
end